<?php
declare(strict_types=1);

use GamesShop\Login\UserPermission;

$this->layout('layout/main', [ 'resourceEntry' => 'admin/accounts' ]);
?>

<h1>Users</h1>

<table id="user-table" class="table table-striped w-100">
    <thead>
        <tr>
            <th width="2.4rem"></th>
            <th>Name</th>
            <th>Permission</th>
            <th>Login-Method</th>
        </tr>
    </thead>
    <tbody></tbody>
</table>

<?php $this->start('modal') ?>
<div class="modal" id="edit-modal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title h3">
                    Edit User
                </h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="mb-2">
                    Name: <span class="name-input"></span>
                </div>
                <div class="mb-2">
                    Login Method: <span class="login-method"></span>
                </div>

                <div>
                    <label for="permissions">Permissions:</label>
                    <select name="" id="permissions" class="form-select permission-editor">
                        <?php foreach (UserPermission::cases() as $userPermission):?>
                            <option value="<?= $userPermission->value ?>"><?= $userPermission->getHumanReadableName() ?></option>
                        <?php endforeach; ?>
                    </select>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary js--save">Save changes</button>
            </div>
        </div>
    </div>
</div>
<?php $this->end() ?>
